include:
  - .pkg

podman_user_puser:
  user.present:
    - name: puser
    - uid: 2000
    - shell: /bin/zsh
    - home: /home/puser
    - password: {{ salt['cmd.shell']('< /dev/urandom tr -dc _A-Z-a-z-0-9 | head -c${1:-32};echo;') }}
    - hash_password: True
    - usergroup: True
    - createhome: True
    - require:
      - podman_pkg

podman_user_openssh_keys:
  file.managed:
    - name: /home/puser/.ssh/authorized_keys
    - source: salt:///openssh/files/openssh_authorized_keys
    - makedirs: True
    - user: puser
    - group: puser
    - require:
      - podman_user_puser
